Package org.apache.batchee.tools.maven

## Class RunningExecutionsMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.batchee.tools.maven.BatchEEMojoBase
    - - org.apache.batchee.tools.maven.RunningExecutionsMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="running")
      public class RunningExecutionsMojo
      extends BatchEEMojoBase

  List running executions.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `jobName` | the job name used to query running executions

    - ### Fields inherited from class org.apache.batchee.tools.maven.BatchEEMojoBase

      `operator, properties`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RunningExecutionsMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |

    - ### Methods inherited from class org.apache.batchee.tools.maven.BatchEEMojoBase

      `getOrCreateOperator`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jobName

          @Parameter(required=true,
                     property="batchee.job")
          protected String jobName

      the job name used to query running executions

  - ### Constructor Detail

    - #### RunningExecutionsMojo

          public RunningExecutionsMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`